stages:
  - build
  - test

build:
  stage: build
  image: docker:stable
  services:
    - docker:stable-dind
  before_script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
  script: ./scripts/build.sh --publish

variables:
  DOCKER_IMAGE: $CI_REGISTRY_IMAGE:$CI_COMMIT_SHA

include:
  - template: Container-Scanning.gitlab-ci.yml
  - template: SAST.gitlab-ci.yml
